﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@using System.Web.UI.WebControls;
@model SSCMvc.Models.Tb_StudentTransfer
@{
    ViewBag.Title = "Manage Student Transfer";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
   
    <script type="text/javascript">




  
    </script>
}
@using (Html.BeginForm())
{
    @Html.ValidationSummary(true)
    @Html.HiddenFor(model => model.Id)
    @Html.HiddenFor(model => model.TransferDate)
    @Html.HiddenFor(model => model.CDate);
                                         
    <div class="header">
        <div class="stats">
        </div>
        <h1 class="page-title">
         Manage Transfer Student</h1>
    </div>
    <ul class="breadcrumb">
        @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
          string refadd = CommonUtil.HomeAddress(utype);
        }
        <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
        <li class="active">Dashboard</li>
    </ul>
    
    <div class="container-fluid">
        <div class="row-fluid">
            <div class="btn-toolbar">
                <input type="submit" value="Save" class="btn btn-primary" />
                <input type="reset" value="Cancel" class="btn btn-primary" id="btnCancel" />
                <div class="btn-group">
                </div>
            </div>
            <div class="well">
                <table width="750px" align="center">
                    <tr>
                        <td>
                            <fieldset>
                                <legend>Student Detail</legend>
                                <table width="100%" align="center">
                                    <tr>
                                        <td width="150px">
                                            <table>
                                                <tr>
                                                    <td>@Html.LabelFor(model => model.StudentId, "Student Name")
                                                    </td>
                                                    <td>
                                                        <span class="color_style">*</span>
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                        <td class="ui-widget">
                                            @ViewBag.StudentId
                                            @Html.HiddenFor(model => model.StudentId)
                                        </td>
                                        <td width="50px">
                                        </td>
                                        <td align="left">
                                            Father Name
                                        </td>
                                        <td align="left">
                                           @ViewBag.FatherName
                                        </td>
                                    </tr>
                                    <tr>
                                        <td align="left">
                                            DOB
                                        </td>
                                        <td align="left">
                                            @ViewBag.DOB
                                        </td>
                                        <td width="50px">
                                        </td>
                                        <td width="150px">
                                            Mobile
                                        </td>
                                        <td class="ui-widget">
                                           @ViewBag.Mobile
                                        </td>
                                    </tr>
                                </table>
                            </fieldset>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <fieldset>
                                <legend>Transfer Detail</legend>
                                <table width="100%" align="center">
                                    <tr>
                                        <td width="150px">
                                            Branch To
                                        </td>
                                        <td class="ui-widget">
                                            @ViewBag.BranchTo
                                            @Html.HiddenFor(model => model.BranchTo)
                                        </td>
                                        <td width="50px">
                                        </td>
                                        <td align="left">
                                            Branch From
                                        </td>
                                        <td align="left">
                                            @ViewBag.BranchName
                                            @Html.HiddenFor(model => model.BranchFrom)
                                        </td>
                                    </tr>
                                    <tr>
                                        <td align="left">
                                            Transfer To User
                                        </td>
                                        <td align="left">
                                            @ViewBag.TransferTo
                                            @Html.HiddenFor(model => model.TransferTo)
                                            
                                        </td>
                                        <td width="50px">
                                        </td>
                                        <td width="150px">
                                            Transfer By User
                                        </td>
                                        <td class="ui-widget">
                                            @ViewBag.TransferBy
                                            @Html.HiddenFor(model => model.TransferBy)
                                        </td>
                                    </tr>
                                    <tr>
                                        <td align="left">
                                            Transfer Status
                                        </td>
                                        <td align="left">
                                            @{
          var liTimeSlot = new List<ListItem>();
          liTimeSlot.Add(new ListItem { Text = "Open", Value = "Open" });
          liTimeSlot.Add(new ListItem { Text = "Approved", Value = "Approved" });

                                            }
                                            @Html.DropDownListFor(model => model.TransStatus, new SelectList(liTimeSlot))
                                            @Html.ValidationMessageFor(model => model.TransStatus)
                                        </td>
                                        <td width="50px">
                                        </td>
                                        <td width="150px">
                                            Remarks
                                        </td>
                                        <td class="ui-widget">
                                            @Html.DisplayFor(model => model.Remarks)
                                            @Html.ValidationMessageFor(model => model.Remarks)
                                        </td>
                                    </tr>
                                </table>
                            </fieldset>
                        </td>
                    </tr>
                </table>
            </div>
            <footer>
                <hr>

                <p class="pull-right">
                    <a href="#" target="_blank"></a><a href="#" target="_blank">

                        @Html.ActionLink("Back to List", "Index")

                    </a>
                </p>
            </footer>
        </div>
    </div>
}

